using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMPrinterMap : APTEntityBaseMap<T_FM_PRINTER>
	{
		public override void Configure(EntityTypeBuilder<T_FM_PRINTER> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.NAME).HasMaxLength(200);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(400);
            builder.Property(t => t.CODE).HasMaxLength(300);
			builder.Property(t => t.REMARK).HasMaxLength(400);
			builder.Property(t => t.PRINTER_NAME).HasMaxLength(200);
			builder.Property(t => t.PRINTER_COMPUTER_NAME).HasMaxLength(400);
			builder.Property(t => t.TEMPLET_FILE_NAME).HasMaxLength(400);
		} 
	}
}
